lomiri-keyboard (1.2.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-keyboard. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Tue, 18 Aug 2026 08:29:58 +0200

lomiri-keyboard (1.1.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-keyboard. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Fri, 19 Jun 2026 11:22:12 +0200

lomiri-keyboard (1.0.3) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-keyboard. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Mon, 05 May 2025 09:58:09 +0200

lomiri-keyboard (1.0.2) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-keyboard. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Fri, 11 Oct 2024 11:07:09 +0200

lomiri-keyboard (1.0.1) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-keyboard. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 28 Jan 2024 11:31:14 +0100

lomiri-keyboard (1.0) unstable; urgency=medium


  [ UBports developers ]
  * Upstream-provided Debian package for lomiri-keyboard. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 15 Oct 2023 01:20:18 +0200

ubuntu-keyboard (0.100+15.04+ubports) xenial; urgency=medium

  [ Masoud Abkenar ]
  * Persian layout

  [ Michael Sheldon ]
  * Implement swipe based cursor movement after long pressing on the
    space key (LP: #1566172)
  * Allow predictive text in URL mode (but disable automatic space
    insertion) (LP: #1661283)
  * Tweak sizes for desktop use

 -- Michael Sheldon <michael.sheldon@canonical.com>  Mon, 20 Mar 2017 12:58:05 +0000

ubuntu-keyboard (0.100+17.04.20170301-0ubuntu1) zesty; urgency=medium

  [ Gerry Boland ]
  * Remove all build-time mir dependence

  [ Michael Sheldon ]
  * Update to new Mir API
  * Add maliit upstart job (LP: #1659388)

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Wed, 01 Mar 2017 13:42:41 +0000

ubuntu-keyboard (0.100+17.04.20170110-0ubuntu1) zesty; urgency=medium

  * Add dependency on qml-module-qtquick-localstorage for emoji layout

 -- Michael Sheldon <michael.sheldon@canonical.com>  Tue, 10 Jan 2017 15:28:39 +0000

ubuntu-keyboard (0.100+17.04.20161223-0ubuntu1) zesty; urgency=medium

  [ Leo Arias ]
  * Add the Esperanto layout

 -- Michael Sheldon <michael.sheldon@canonical.com>  Fri, 23 Dec 2016 17:31:57 +0000

ubuntu-keyboard (0.100+17.04.20161214.1-0ubuntu1) zesty; urgency=medium

  * Add custom opacity setting (LP: #1647603)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Wed, 14 Dec 2016 15:10:52 +0000

ubuntu-keyboard (0.100+17.04.20161116-0ubuntu1) zesty; urgency=medium

  [ GunChleoc ]
  * Changed gd keyboard layout to QWERTY and added a-, h-, n- and t- to
    extensions in main gd keyboard.

  [ Michael Sheldon ]
  * Fix flake8 tests on zesty

 -- Michael Sheldon <michael.sheldon@canonical.com>  Wed, 16 Nov 2016 15:14:46 +0000

ubuntu-keyboard (0.100+17.04.20161108-0ubuntu1) zesty; urgency=medium

  * Add support for building as a snap (LP: #1572653, #1629009)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Tue, 08 Nov 2016 11:24:43 +0000

ubuntu-keyboard (0.100+16.10.20160921-0ubuntu1) yakkety; urgency=medium

  * Replace fonts-noto with fonts-noto-cjk

 -- Michael Sheldon <michael.sheldon@canonical.com>  Wed, 21 Sep 2016 13:02:50 +0000

ubuntu-keyboard (0.100+16.10.20160818-0ubuntu1) yakkety; urgency=medium

  * Make ubuntu-keyboard depend on ubuntu-keyboard-english as it's used
    as a fallback when other plugins are unavailable (LP: #1606512)
  * Add missing qml-module-qtmultimedia dependency (LP: #1594822)
  * Improve double space punctuation insertion behaviour (LP: #1579083)
  * Make flake8 usage compatible with flake8 3.x
  * Add optional dependency on fonts-noto

 -- Michael Sheldon <michael.sheldon@canonical.com>  Thu, 18 Aug 2016 13:53:57 +0000

ubuntu-keyboard (0.100+16.10.20160808.1-0ubuntu1) yakkety; urgency=medium

  [ Chero Jeong, chero jeong ]
  * Add Korean layout

  [ Florian Boucault ]
  * Fixes for crossbuilding.

  [ Lukáš Tinkl ]
  * Fix uppercase variant of "ů" -> "Ů" in the Czech layout

  [ Michael Sheldon ]
  * Switch to scrollable GridView for Emoji layout (LP: #1441337,
    #1539554, #1603194, #1607672)
  * Fix building against Qt 5.6.1

 -- Michael Sheldon <michael.sheldon@canonical.com>  Mon, 08 Aug 2016 16:58:30 +0000

ubuntu-keyboard (0.100+16.10.20160712-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * Use mir input regions instead of the DBus hack

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 12 Jul 2016 11:56:10 +0000

ubuntu-keyboard (0.99.trunk.phablet2+16.10.20160615.1-0ubuntu1) yakkety; urgency=medium

  [ Michael Sheldon ]
  * Add support for Latvian keyboard layout (LP: #1539121)
  * Don't send preedit events when preedit is disabled (LP: #1448145)
  * Support all types of space character when checking for autocaps and
    double space full-stop insertion
  * Add icon to keyboard autopilot test application to avoid bug
    #1591192
  * Ensure wide characters (e.g. Chinese) fit on 'Next' key (LP:
    #1588635)
  * Fix emoji autopilot tests

  [ Timo Jyrinki ]
  * Stop depending on transitional packages. (LP: #1583079)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Wed, 15 Jun 2016 12:45:56 +0000

ubuntu-keyboard (0.99.trunk.phablet2+16.04.20160506-0ubuntu1) xenial; urgency=medium

  * Update dependency on hunspell-sv (LP: #1579115)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Fri, 06 May 2016 15:42:21 +0000

ubuntu-keyboard (0.99.trunk.phablet2+16.04.20160428.3-0ubuntu1) xenial; urgency=medium

  * Add traditional Chinese input support and differentiate between
    traditional and simplified Chinese (LP: #1502311)
  * Fix incorrect letters and URL key on Croatian layout (LP: #1477274,
    #1491885)
  * Fix missing character on Icelandic layout (LP: #1522157)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Thu, 28 Apr 2016 12:18:42 +0000

ubuntu-keyboard (0.99.trunk.phablet2+16.04.20160226.1-0ubuntu1) xenial; urgency=medium

  * Depend on fonts-droid or fonts-droid-fallback, to allow for fonts-
    droid being removed in the future (LP: #1548847)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Fri, 26 Feb 2016 15:09:45 +0000

ubuntu-keyboard (0.99.trunk.phablet2+16.04.20160222-0ubuntu1) xenial; urgency=medium

  [ Michael Sheldon ]
  * Add tests for Japanese layout

  [ Mitsuya Shibata ]
  * Implement Japanese keyboard layout (LP: #1290031)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Mon, 22 Feb 2016 11:04:28 +0000

ubuntu-keyboard (0.99.trunk.phablet2+16.04.20160128-0ubuntu1) xenial; urgency=medium

  [ Aron Xu ]
  * Transition from libpinyin4 to libpinyin7, no actual code change
    required.

  [ Michael Sheldon ]
  * Fix selection deletion autopilot test
  * Update keyboard visuals to match new design spec (LP: #1428146,
    #1321603, #1385431)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Thu, 28 Jan 2016 19:08:52 +0000

ubuntu-keyboard (0.99.trunk.phablet2+16.04.20160107-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Michael Sheldon ]
  * Fix the Icelandic keyboard layout (LP: #1522157)
  * Switch to Ubuntu.Components 1.3 and QtQuick 2.4 (LP: #1531907)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Thu, 07 Jan 2016 16:14:02 +0000

ubuntu-keyboard (0.99.trunk.phablet2+16.04.20151221-0ubuntu1) xenial; urgency=medium

  * Fix keyboard shifting out of capslock when in fields without preedit
    (LP: #1521803)
  * Make user input bold if there aren't any suggestions and expose bold
    property to autopilot (LP: #1526795, #1526796)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Mon, 21 Dec 2015 11:52:18 +0000

ubuntu-keyboard (0.99.trunk.phablet2+16.04.20151214-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk. added: po/aa.po

  [ Michael Sheldon ]
  * Remove workaround for Qt bug 44370 as this is now fixed in Qt (LP:
    #44370)

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Mon, 14 Dec 2015 09:09:16 +0000

ubuntu-keyboard (0.99.trunk.phablet2+16.04.20151201.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Michael Sheldon ]
  * Work around upstream QT bugs 41692 and 44370 which cause incorrect
    touch point events when using a mouse (LP: #1451554)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Tue, 01 Dec 2015 15:42:37 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.10.20150903-0ubuntu1) wily; urgency=medium

  [ Michael Sheldon ]
  * Fix header ordering to build with Qt 5.5. (LP: #1474313, #1447190)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 03 Sep 2015 13:46:06 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.10.20150818.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Michael Sheldon ]
  * Add reset function to autopilot emulator so that maliit can be
    reconnected after a unity8 restart. (LP: #1481770)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 18 Aug 2015 11:48:27 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.10.20150728-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jul 2015 21:38:42 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.10.20150728-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk. added: po/cy.po

  [ Michael Sheldon ]
  * Check that another key hasn't been pressed in between double click
    presses (LP: #1477901)
  * Don't assume that we always have the same layout in autopilot
    emulator when caching key positions. (LP: #1478553)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 28 Jul 2015 12:01:15 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.10.20150720-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * Resync trunk. added: po/ta.po

  [ Michael Sheldon ]
  * Allow autopilot to perform cursor movement via maliit (LP: #1476251)
  * Allow the keyboard to build with new version of platform-api (LP:
    #1475611)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 20 Jul 2015 18:05:22 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.10.20150629-0ubuntu1) wily; urgency=medium

  [ Richard Huddie ]
  * Add additional aliases for the action keys of the OSK used by the
    autopilot helpers. (LP: #1467449)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 29 Jun 2015 15:45:12 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.10.20150611-0ubuntu1) wily; urgency=medium

  [ Daniel d'Andrada ]
  * rotation support for keyboard

  [ Michael Sheldon ]
  * rotation support for keyboard

  [ Michael Zanetti ]
  * rotation support for keyboard

  [ Mike Sheldon ]
  * rotation support for keyboard

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 11 Jun 2015 09:11:43 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.10.20150529-0ubuntu1) wily; urgency=medium

  [ Bernard Banko ]
  * Add new keyboard layouts for Romanian, Scottish Gaelic, Greek,
    Norwegian, Ukrainian, Slovenian and Icelandic and fix incorrect
    layouts in Swedish and Croatian. (LP: #1367210, #1395402, #1436045,
    #1452719, #1363376, #1440722, #1452723, #1454206, #1440959)

  [ CI Train Bot ]
  * New rebuild forced.

  [ GunChleoc ]
  * Add new keyboard layouts for Romanian, Scottish Gaelic, Greek,
    Norwegian, Ukrainian, Slovenian and Icelandic and fix incorrect
    layouts in Swedish and Croatian. (LP: #1367210, #1395402, #1436045,
    #1452719, #1363376, #1440722, #1452723, #1454206, #1440959)

  [ Michael Sheldon ]
  * Add new keyboard layouts for Romanian, Scottish Gaelic, Greek,
    Norwegian, Ukrainian, Slovenian and Icelandic and fix incorrect
    layouts in Swedish and Croatian. (LP: #1367210, #1395402, #1436045,
    #1452719, #1363376, #1440722, #1452723, #1454206, #1440959)
  * Add test for the keyboard remaining dismissed when scrolling in
    Oxide.
  * Allow the keyboard's height reporting to be disabled when the system
    is in windowed mode. (LP: #1457116)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 29 May 2015 12:24:02 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150514-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk. added: po/ro.po

  [ Leo Arias ]
  * Fixed the static errors reported by flake8. Added the check to the
    debian build tests. Added python3-flake8 as a build dependency. (LP:
    #1444170)
  * Use the base class from the toolkit in autopilot tests.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 14 May 2015 16:56:34 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150429-0ubuntu1) vivid; urgency=medium

  [ Michael Sheldon ]
  * Discard spellcheck words that arrive whilst still processing outside
    of the spellcheck worker thread instead of as part of that thread
    (LP: #1448019)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 29 Apr 2015 18:49:02 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150421-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Michael Sheldon ]
  * Allow the keyboard to load plugins from additional paths specified
    via gsettings. (LP: #1445532)
  * Fix crash if the client sends invalid surrounding text/offset data.
    (LP: #1444947)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 21 Apr 2015 15:07:39 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150326-0ubuntu1) vivid; urgency=medium

  [ Bill Filler ]
  * change fontFamily to Ubuntu to work around disappearing "h" key (LP:
    #1421812)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Michael Sheldon ]
  * Avoid reporting false visibility signal during startup (LP:
    #1436076, #1419814)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 26 Mar 2015 21:40:49 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150316-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Michael Sheldon ]
  * Account for keys at the side of the keyboard being extended in size
    when calculating autopilot key positions (LP: #1428584)
  * Add punctuation to extended keys and make comma key more consistent
    across shift states
  * Ensure that extended key selector array is cloned (LP: #1424668)
  * Fix preedit commit when changing layout (LP: #1430744)
  * Fix the placing of apostrophes back into pre-edit and the use of
    apsostrophes/single quotes at the end of words. (LP: #1416018,
    #1417532)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 16 Mar 2015 13:06:47 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150227-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ David Planella ]
  * Changed Catalan keyboard's ldot symbol after recommendation from
    keyboard experts.

  [ Michael Sheldon ]
  * Enable predictions from incomplete pinyin entry (LP: #1401735)
  * Fix reporting of keyboard height when in inverted portrait
    orientation (LP: #1423164)
  * re-merge to fix AP tests as not all of the changes got merged
    previously (LP: #1417048, #1416037, #1416157)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 27 Feb 2015 14:12:53 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150213.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk
  * New rebuild forced.

  [ Michael Sheldon ]
  * Add a brief delay before evaluating swipes (LP: #1421742)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 13 Feb 2015 20:33:15 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150213-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk
  * New rebuild forced.

  [ Michael Sheldon ]
  * Fix memory leak when unloading word engines (LP: #1420891)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 13 Feb 2015 04:09:03 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150209-0ubuntu1) vivid; urgency=medium

  [ Michael Sheldon ]
  * Add contractions as overrides (I've, you've, I'm, etc.). (LP:
    #1416020)
  * Recreate prediction databases with apostrophe support and remove
    Gutenberg license text from sample data. (LP: #1384800)
  * Always display the language button, even when only one language is
    enabled (so settings is easily accessible) and modify language
    button behaviour to toggle between most recently used layouts when
    tapped and to only show the menu when long pressed. (LP: #1417048,
    #1416037, #1416157)

  [ CI Train Bot ]
  * Resync trunk

  [ Michael Terry ]
  * Add em dash, en dash, and the bullet as extended hyphen options.
    (LP: #1414763)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Bill Filler ]
  * enable emoji by default (LP: #1416036)

  [ Penk Chen ]
  * Add mechanism for pure QML layouts to provide suggestion candidates.

  [ Mike Sheldon ]
  * Recreate prediction databases with apostrophe support and remove
    Gutenberg license text from sample data. (LP: #1384800)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 09 Feb 2015 21:15:02 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150202-0ubuntu1) vivid; urgency=medium

  [ Michael Sheldon ]
  * Enable auto-punctuation for Pinyin input. (LP: #1407588)
  * Speed up autopilot tests by only restarting maliit-server at the
    beginning and end of all tests
  * Restore a user's original input if they press backspace immediately
    after auto-completing a word. (LP: #1411645)
  * Allow Emoji keyboard to be shown for URL and email field types and
    switch out of Emoji layout when changing fields. (LP: #1415129,
    #1415127)
  * Adds a setting to allow the keyboard to remain hidden at all times
    (e.g. when a hardware keyboard is connected) (LP: #1415126)
  * Fix autocaps for clients that send multiline surrounding text (LP:
    #1415881)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 02 Feb 2015 18:18:25 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150119-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Deactivate autocaps if we receive find out we're in a field that
    doesn't support it after having already entered the field (LP:
    #1412460)
  * Add dependencies for any keyboard layouts used in autopilot tests

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 19 Jan 2015 16:21:41 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150112-0ubuntu1) vivid; urgency=low

  [ CI Train Bot ]
  * Resync trunk

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Michael Sheldon ]
  * Skip Emoji characters that iOS and Android can't display, show which
    category of Emoji the user is currently viewing and switch back to
    the previous layout when the keyboard is hidden.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Jan 2015 18:47:48 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150108-0ubuntu1) vivid; urgency=low

  [ CI Train Bot ]
  * Resync trunk

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Renato Araujo Oliveira Filho ]
  * Make sure that changes on "InputMethod.extensions" property get
    propagated to maliit. (LP: #1384278)

  [ Michael Sheldon ]
  * Fix keyboard visibility reporting (LP: #1404309)
  * Extend existing autopilot tests to more thoroughly test each layout,
    add new tests for extended keys and ".com" key and fix crash when
    using keyboard after autopilot tests have been run.
  * Speed up individual backspaces and switch between individual and
    word backspace based on 3 words having been deleted instead of 3
    seconds having passed. (LP: #1347488)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 08 Jan 2015 18:07:56 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150105-0ubuntu1) vivid; urgency=low

  [ CI Train Bot ]
  * Resync trunk

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Michael Sheldon ]
  * Check candidates provided by libpinyin are valid before using them
    (LP: #1407584)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 05 Jan 2015 19:05:53 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20141212-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Change extended keys on phone layout to '*#' (LP: #1372548)
  * Improve the quality of pinyin suggestions (LP: #1401559)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Dec 2014 20:31:07 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20141209.1-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Fix building and packaging of translation files
  * Add emoji layout (LP: #1340598)

  [ Mike Sheldon ]
  * Add emoji layout (LP: #1340598)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Dec 2014 20:43:08 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20141209-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Disables automatic insertion of space characters after punctuation
    except when punctuation has been added by double space. (LP:
    #1398503)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Dec 2014 15:37:46 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20141202-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Fix old autopilot tests and implement some new ones.
  * Allow Pinyin to be used in URL and email fields and fix text
    selection issues. (LP: #1393492, #1335007)
  * Add ".com" as extended key on URL and email layouts for all language
    that don't have it as their primary URL key (LP: #1369510)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Dec 2014 19:25:25 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20141119-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Send release signal for backspace if the user has swiped out of the
    key before releasing (LP: #1385518)
  * Calculate the similarity between the current user's input and the
    prediction candidate, if they differ too much make the user input
    the primary candidate for auto-completion. (LP: #1347796)
  * Stop the keyboard from updating IME hints whilst it hides (LP:
    #1370609)
  * Allow western language plugins to provide special corrections
    outside of the standard auto-correct engine (e.g. 'i' -> 'I'). (LP:
    #1372948)
  * Add Azerbaijani, Bosnian, Catalan and Croatian layouts
  * Reset the keyboard when the language plugin changes. (LP: #1335002)
  * Don't add duplicate candidates to the word ribbon when a candidate
    is pressed. (LP: #1393487)
  * Scale custom return key labels so that more characters fit and set
    correct default font size (LP: #1384810)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Dinko Osmankovic dinko.metalac@gmail.com ]
  * Add Azerbaijani, Bosnian, Catalan and Croatian layouts

  [ Mike Sheldon ]
  * Calculate the similarity between the current user's input and the
    prediction candidate, if they differ too much make the user input
    the primary candidate for auto-completion. (LP: #1347796)
  * Allow western language plugins to provide special corrections
    outside of the standard auto-correct engine (e.g. 'i' -> 'I'). (LP:
    #1372948)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Nov 2014 15:40:20 +0000

ubuntu-keyboard (0.99.trunk.phablet2+15.04.20141107.1-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Fix uninitialised pointer. (LP: #1390395)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Nov 2014 17:28:06 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20141104~rtm-0ubuntu1) 14.09; urgency=low

  [ Michael Sheldon ]
  * Enable launchpad translation imports. (LP: #1389274)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Mike Sheldon ]
  * Change URL key in Brazilian Portuguese layout to ".com.br" (LP:
    #1384787)
  * Reduce extended keys hold timer to more closely match timing from
    other platform's keyboards (LP: #1384781)
  * Detect if the user is entering an email address whilst in a field
    that supports predictions and suppress predictions, auto-caps and
    auto-spacing unless the input method requires predictions for
    standard character input (e.g. pinyin). (LP: #1384770)
  * Don't show word candidates arriving after a word has been committed
    and allow candidates to remain on the word ribbon until a new set
    has been calculated prior to commit. (LP: #1384806)
  * Only consider the current line when evaluating whether we're in the
    middle of a piece of text. (LP: #1387714)
  * Fix ImhNoAutoUppercase hint behaviour when switching between apps
    with autocaps and without. (LP: #1370071)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Nov 2014 20:18:18 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20141010-0ubuntu1) 14.09; urgency=low

  [ Michael Sheldon ]
  * Fix re-entry of preedit when in the middle of a sentence, disable
    preedit when editing in the middle of a word and re-evaluate
    autocaps whenever the cursor position changes. (LP: #1375951)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Oct 2014 13:51:14 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140926.1-0ubuntu1) 14.09; urgency=low

  [ Michael Sheldon ]
  * Disable autocaps when the user deletes beyond a full stop character.
  * Allow buttons at the edges of rows to be extended to the left/right
    so that blank areas can receive touch events for nearby keys. (LP:
    #1365014)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 26 Sep 2014 17:42:03 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140923-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Fix re-entering pre-edit when in the middle of text containing
    multiple lines. (LP: #1357360)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 23 Sep 2014 17:01:36 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140918-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Hide the settings option in the keyboard's language menu when the
    phone is locked. (LP: #1358224)
  * Implement new keyboard design (LP: #1323852)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Sep 2014 15:26:35 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140910-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Only switch back automatically from the symbol page if the user
    presses space or apostrophe and make pre-edit behaviour when
    entering symbols more consistent. (LP: #1359404)
  * Update Serbian layout to account for changes in POT generation and
    extended bottom row layout.
  * Clear the surrounding text buffer when clearing the preedit buffer.
    (LP: #1361732)
  * Deactivate autocaps if re-entering a field that already has text in
    it. (LP: #1366779)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Sep 2014 14:58:09 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140902.1-0ubuntu1) utopic; urgency=low

  [ Bill Filler ]
  * enable spell checking, word prediction and auto-completion by
    default (LP: #1364351)

  [ Michael Sheldon ]
  * Wait until the first show operation has given components their
    correct sizes before allowing hiding.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Sep 2014 19:41:04 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140826-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Allow ActionKeys to override default CharKey PressArea behaviour
    instead of creating their own overlapping MouseAreas.
  * Add translation template generation. (LP: #1357616)
  * Place the default extended key in the center of the extended keys
    pop up, making it the initially selected option.
  * Display the correct character in the magnifier when the keyboard is
    in shifted mode.
  * Update haptic effect values to match those used in AbstractButton.
  * Fix keyboard show/hide animation when maliit has first started. (LP:
    #1361312)

  [ Danilo Šegan ]
  * Implement a basic Serbian keyboard layout with diacritics.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Aug 2014 17:27:04 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140820-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Make word ribbon sizing display independent and trim word ribbon
    margins.
  * Restore animations when showing and hiding the keyboard and fix
    reporting of size for anchorToKeyboard property.
  * Extend the touch area of the bottom row of keys to reach the very
    bottom of the keyboard whilst still maintaining the same visual
    appearance.
  * Add haptic feedback when user performs a long press.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 20 Aug 2014 14:32:55 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140815-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Allow the user to dismiss the keyboard with a quick downward swipe
    over the main key area. (LP: #1347790)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 15 Aug 2014 02:18:24 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140812.1-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Reduces start up memory usage from 60MB to 35MB by refactoring spell
    check and prediction to reduce the number of hunspell instances in
    different threads, and reduces memory usage when keyboard is in use
    by 5MB by implementing a single shared magnifier element (instead of
    each key having its own). (LP: #1350193)
  * Add missing dictionary dependencies to their respective keyboard
    plugins.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 12 Aug 2014 20:11:56 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140811-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Merge user input and primary prediction when they match, highlight
    auto-completion word instead of user input. (LP: #1347792)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 11 Aug 2014 08:38:34 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140730.1-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Modify the pre-edit style to just underline text instead of making
    it bold and blue. (LP: #1347490)
  * Re-enter pre-edit after changing focus whilst still in a word (e.g.
    after swiping keyboard down and then tapping back in text field) or
    deleting punctuation characters and fix the pre-edit offset when
    deleting by holding backspace. (LP: #1347492)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Jul 2014 20:53:18 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140722-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Fix autocaps when entering punctuation via extended keys and make
    spacing for the top row of extended keys consistent with other rows.
  * Control double space full stops via a gsettings key

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 22 Jul 2014 15:10:54 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140718-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Enable the language menu when single pressing the language switcher
    button and add a settings item to the bottom of the language
    switcher.
  * Add numbers to the extended keys in the top row and extra
    punctuation on existing punctuation keys. Also adds the new sheqel
    symbol to the Hebrew keyboard and ensures that the Hebrew keyboard
    still displays keys when in capital mode. (LP: #1233578)
  * Fix incorrect Russian characters and layout (LP: #1321908)
  * Implement swiping behaviour for the selection of extended keys and
    fix popover position when selecting the same extended key after
    changing orientation.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 18 Jul 2014 16:27:52 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140714-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Allow languages to override word suggestion settings when they're
    critical to the layout (e.g. Pinyin)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 14 Jul 2014 20:42:14 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140701-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Remove the workaround for keyboard input area positioning, as this
    is now fixed in unity-mir

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Jul 2014 09:40:11 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140626-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Handle any discrepancy between keyboard's fullScreenItem size and
    the real screen size (e.g. caused by the shell's top bar) (LP:
    #1332624)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 26 Jun 2014 16:55:34 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140616-0ubuntu1) utopic; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Store the keyboard feedback sound in gsettings, making it
    configurable. Are there any related MPs required for this MP to
    build/function as expected? Please list. -> No. Is your branch in
    sync with latest trunk (e.g. bzr pull lp:trunk -> no changes). ->
    Yes. Did you perform an exploratory manual test run of your code
    change and any related functionality on device or emulator? -> Yes.
    Did you successfully run all tests found in your component's Test
    Plan on device or emulator? -> All testing has been performed on a
    Mako device. If you changed the UI, was the change
    specified/approved by design? -> N/A. If you changed the packaging
    (debian), did you subscribe a core-dev to this MP? -> N/A (LP:
    #1271947)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 16 Jun 2014 17:26:23 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140611-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Disable magnification on the dial pad and number pad layouts, remove
    transparency from magnifier background. (LP: #1323855)
  * Place words back in to pre-edit if the user presses backspace to
    reach that word
  * Preserve user input as the first prediction candidate if it is spelt
    correctly (LP: #1313635)

  [ Łukasz 'sil2100' Zemczak ]
  * Changes related to fixing the preedit word completion, enhancing the
    usage with regards to adding whitespaces, separators. Enhanced
    autocaps. Added possibility to commit (word-completion) when using
    separators (., etc). Double-space with auto-correction enabled now
    results in a full-stop sign. Also, in auto-correct unnecessary
    whitespaces before separators are removed. Include unit-testing of
    some of the features. (LP: #1244227)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 11 Jun 2014 15:30:55 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140527-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Modify the build system so that presage databases are only updated
    when manually requested, instead of during every compile.
  * Add user input to the word ribbon as the first entry, allowing for
    autocomplete suggestions to be overridden. Use the selection of that
    entry as the cue to add words to the user spell check dictionary and
    filter presage's predictions based on what words are in the spell
    check dictionary. (LP: #1318808)
  * Re-evaluate the state of autocaps when the user is deleting
    characters and when the cursor position changes to the beginning of
    a field (LP: #1312329)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 May 2014 15:37:47 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140515-0ubuntu1) utopic; urgency=low

  [ Daniel d'Andrada ]
  * Remove SurfaceFlinger "support" That simplifies code and enables it
    to work in the "Qt as Mir compositor" future architecture.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 15 May 2014 23:17:20 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140512-0ubuntu1) utopic; urgency=low

  [ Bill Filler ]
  * Adjust values of haptic feedback to make less strong and enable by
    default

  [ Michael Sheldon ]
  * Refactor language plugins to provide word candidates via signals and
    move spell checking and predictive text into separate threads (LP:
    #1299736)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 May 2014 23:00:51 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140506.1-0ubuntu1) utopic; urgency=low

  [ Bill Filler ]
  * add action key support in ubuntu-keyboard

  [ Renato Araujo Oliveira Filho ]
  * add action key support in ubuntu-keyboard

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 06 May 2014 20:52:25 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.10.20140430-0ubuntu1) utopic; urgency=low

  [ Bill Filler ]
  * Enable haptic feedback when the key-press-haptic-feedback gsetting
    key is true. (LP: #1299088)

  [ Michael Sheldon ]
  * Enable haptic feedback when the key-press-haptic-feedback gsetting
    key is true. (LP: #1299088)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Apr 2014 15:37:20 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140415-0ubuntu1) trusty; urgency=low

  [ Michael Sheldon ]
  * Implement capital letters for Pinyin keyboard, ignore auto-
    capitalisation and always display word ribbon when using Pinyin
    regardless of input hints. (LP: #1281384)
  * Switch back to normal character mode if in shifted mode after
    entering extended characters. (LP: #1264860)

  [ Łukasz 'sil2100' Zemczak ]
  * Quick-fix: play key feedback sound on key-press for all used keys.
    The fix is not really sophisticated, but these parts of code might
    change soon anyway (LP: #1306160)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Apr 2014 15:17:13 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140407.1-0ubuntu2) trusty; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 13:51:24 -0300

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140407.1-0ubuntu1) trusty; urgency=low

  [ Michael Sheldon ]
  * Gradually decreases the interval between word deletion when
    backspace is held down, allowing for fast deletion of large blocks
    of text (fixes bug #1289374). (LP: #1289374)
  * Reduce latency for key press sounds by switching to a SoundEffect
    element (lower latency and better at simultaneous sounds than Audio)
    and triggering the sound on key press rather than on release. (LP:
    #1289372)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 07 Apr 2014 15:02:24 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140402-0ubuntu1) trusty; urgency=low

  [ Olivier Tilloy ]
  * When sending a key event, send KeyPress AND the corresponding
    KeyRelease event. (LP: #1300382)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Apr 2014 19:32:28 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140318-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * clear the preedit and word candidates when the focused editor
    changes by implementing reset() in the plugin (LP: #1271494)

  [ Łukasz 'sil2100' Zemczak ]
  * clear the preedit and word candidates when the focused editor
    changes by implementing reset() in the plugin (LP: #1271494)
  * Fix auto-capitalization after a newline. This adds checks for
    autocapitalization for enter/return key-presses and additional
    autocap case characters for western languages. (LP: #1272818)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Mar 2014 14:42:28 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140306-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Mar 2014 08:28:29 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140304-0ubuntu1) trusty; urgency=low

  [ Florian Boucault ]
  * Fixed BorderImage usage: always use .sci files so that resolution
    independence works adequately. Removed unused assets: keybg*

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Mar 2014 17:22:53 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140228-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * fix lp:1277186 to allow keyboard to be swiped down as before (LP:
    #1277186)

  [ Dmitrijs Ledkovs ]
  * Tests expect writable /home/xnox, provide a fresh one for each
    build. (LP: #1247994)

  [ Dimitri John Ledkov ]
  * Tests expect writable /home/xnox, provide a fresh one for each
    build. (LP: #1247994)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Feb 2014 22:34:38 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140227-0ubuntu1) trusty; urgency=low

  [ Daniel d'Andrada ]
  * Make out-of-source builds work again

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Feb 2014 02:26:25 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140213-0ubuntu1) trusty; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Disable the shift button coloring, as it breaks things in certain
    cases - use a custom colored icon instead. (LP: #1251285)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Feb 2014 16:48:17 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140206-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * Remove legacy code and files: the old language xml files, deprecated
    LayoutUpdater usage, old layouting.

  [ Daniel d'Andrada ]
  * Fixes mapping between rotation angles and screen orientations Code
    was assuming that primary screen orientation was always landscape.
    (LP: #1251330)

  [ Thomas Moenicke ]
  * Remove legacy code and files: the old language xml files, deprecated
    LayoutUpdater usage, old layouting.

  [ Łukasz 'sil2100' Zemczak ]
  * Add a free, open ebook for the polish keyboard plugin for the
    database - one released on a CC BY-SA 3.0 license.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Feb 2014 16:59:31 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140122-0ubuntu1) trusty; urgency=low

  [ Ken VanDine ]
  * the keyboard plugins need shlibs:Depends .

  [ Łukasz 'sil2100' Zemczak ]
  * Let's do = binary:Version instead of > static version for every
    keyboard plugin. Bump standards and add missing comma.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 129

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 22 Jan 2014 21:22:42 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20140121-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * turn off spell-checking and auto-complete by default.
  * changes to load/set the active keyboard based on gsettings key.
  * change Architecture of plugins to any as they are platform specific.

  [ Gerry Boland ]
  * Implement handleClientChanged method to react correctly to client
    connect/disconnect. (LP: #1267550)

  [ Thomas Moenicke ]
  * build fixes. (LP: #1258061)
  * language features + backends go into plugins .
  * new click sound for keys.
  * changes to load/set the active keyboard based on gsettings key.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 126

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 21 Jan 2014 17:12:09 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20131126-0ubuntu1) trusty; urgency=low

  [ Thomas Moenicke ]
  * sound off by default.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 118

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Nov 2013 03:48:28 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20131122.1-0ubuntu1) trusty; urgency=low

  [ Thomas Moenicke ]
  * more languages.

  [ Dmitrijs Ledkovs ]
  * Port to libpinyin4-dev API. (LP: #1247840). (LP: #1247840)

  [ Christopher Lee ]
  * Updating the tests and emulators so so they run without
    interference.

  [ Michael Terry ]
  * When running the tests, tell xvfb-run to find next available
    servernum instead of assuming :99 and failing if that is not
    available.

  [ Colin Watson ]
  * Build-depend on python:any rather than python, to ease cross-
    building.

  [ Guenter Schwann ]
  * Set the keyboard geometry from QML to C++, not the other way around.
    (LP: #1245481)
  * Add space after selected predictited text for non chinese
  * Remove some dead code
  * improvements on chinese language support
  * Spellchecker uses active language (if installed)
  * Enable audio feedback
  * Only update the preedit when needed
  * cleanup
  * Use only one Audio item to load keyboards faster
  * Make spell check usable without predictive text

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 116

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 22 Nov 2013 17:36:06 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20131106-0ubuntu1) trusty; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Port/update the emulators in preparation of autopilot 1.4

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 100

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Nov 2013 14:39:01 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20131105.1-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Enable tests during build and document the various copyrights
    better. Adds Build-Depends on libxml2-utils, qtdeclarative5-ubuntu-
    ui-toolkit-plugin, and xvfb.

  [ Thomas Moenicke ]
  * language branch.

  [ Christopher Lee ]
  * For ease of testing the ubuntu-keyboard testsuite takes care of
    restarting maliit-server with testability for the duration of the
    tests. (LP: #1243444)

  [ Guenter Schwann ]
  * Add a helper skript to disable all settings on the device.
  * Do not cancel predictive text on backspace, but update it. (LP:
    #1202694)
  * Split up C++ and QML a bit better.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 98

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 05 Nov 2013 15:25:54 +0000

ubuntu-keyboard (0.99.trunk.phablet2+14.04.20131025-0ubuntu1) trusty; urgency=low

  [ Daniel d'Andrada ]
  * ubuntu-keyboard-info socket now reports the keyboard's scene
    geometry That's enough to cover keyboard rotations and animations.
    (LP: #1236489)

  [ Thomas Moenicke ]
  * adding key to change language.

  [ Leo Arias ]
  * Prepare for the release of autopilot 1.4 adding the dependency on an
    earlier release.

  [ Christopher Lee ]
  * Minor update/fixes for the autopilot emulators.

  [ Guenter Schwann ]
  * Keep url and @ key unchanged in shiftet state. (LP: #1240603)
  * Keep removing text when keeping the backspace key pressed.
  * Disable auto capitalization for any other content type than
    FreeTextContentType Wieth auto capitalizatin start with a capital on
    empty text fields.
  * After holding the backspace for a while, remove whole words. (LP:
    #1201988)
  * Reorganize tests let "make check" pass.
  * Decouple autocaps from predictive text fixes LP: #1214695. (LP:
    #1234685, #1214695)
  * Revert last 2 commit because of language issues.
  * Decouple autocaps from predictive text fixes LP: #1214695. (LP:
    #1214695)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 91

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 25 Oct 2013 11:04:48 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20131016.1-0ubuntu1) saucy; urgency=low

  [ Christopher Lee ]
  * Update to the ubuntu-keyboard emulator so that they work after the
    recent changes to the loader.

  [ Guenter Schwann ]
  * Increase the size of the swipe area.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 78

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Oct 2013 11:02:01 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20131011.1-0ubuntu1) saucy; urgency=low

  [ Daniel d'Andrada ]
  * Various improvements to ubuntu-keyboard-info socket server Make it
    more robust. (LP: #1237870)

  [ Thomas Moenicke ]
  * more languages.
  * new action key icons.

  [ Guenter Schwann ]
  * Fix for auto caps to work more than once Essentially it's only 25 +
    autoCapsActivated = false;.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 75

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 16:52:53 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20131009.2-0ubuntu1) saucy; urgency=low

  [ Daniel d'Andrada ]
  * Publish keyboard info on a socket so that unity-mir can have it Have
    a communication channel between ubuntu-keyboard and unity-mir where
    the former hands out all the information about itself that unity-mir
    might be interested into. That all should go away once a proper
    architecure gets implemented. Fixes LP#1234600. (LP: #1234600,
    #1237472)

  [ Thomas Moenicke ]
  * 3-key on symbols layout does not have extended keys .
  * fixes #1236501 wrong layout when symbols. (LP: #1236501)
  * fixing spacebar background.
  * various fixes, prioritized by Bill .

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Christopher Lee ]
  * Remove workarounds and fixed uncaught exception at import time.

  [ Guenter Schwann ]
  * Send return ("\r") as text in return key event fixes LP: #1230035.
    (LP: #1230035, #1236388)
  * Propagating mouse events does not work as expected when dragging
    Going back to make the keyboard a child item of the swipe mouse
    area. Fixes LP: #1236474. (LP: #1236474)
  * New Magnifier that fixes the old Popper element fixes LP: #1236478
    fixes LP: #1236477. (LP: #1236477, #1236478)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 70

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 09 Oct 2013 23:35:18 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Thomas Moenicke ]
  * KeyboardContainer more declarative to avoid timing issues, fixes
    part of #1233207 . (LP: #1233207)
  * shift state/key fixes . (LP: #1229114, #1231611)
  * using only one loader for character and symbol layouts .
  * fix popover.

  [ Guenter Schwann ]
  * Handle the case, that two keys are touched at the same time fixes
    LP: #1230003. (LP: #1230003)
  * fix popover.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 60

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Oct 2013 02:44:45 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20131001-0ubuntu1) saucy; urgency=low

  [ William Hua ]
  * Re-add the schema that was removed in r45, and append spell-checking
    settings.

  [ Robert Bruce Park ]
  * Disable predictive text.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 54

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Oct 2013 00:20:04 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130930.2-0ubuntu1) saucy; urgency=low

  [ Thomas Moenicke ]
  * design update. (LP: #1227248)
  * improves orientation changing behavior when osk is hidden, fixes
    #1213127. (LP: #1213127)

  [ Guenter Schwann ]
  * Use GSettings for the settings instead of the maliit ones.
  * Use smaller font for 1/2 and 2/2 key fixes LP: #1227225. (LP:
    #1227225)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 51

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 30 Sep 2013 18:38:51 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130926-0ubuntu1) saucy; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced from rev 45

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 26 Sep 2013 10:37:17 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130925-0ubuntu1) saucy; urgency=low

  [ William Hua ]
  * Add GSettings schema file.

  [ Christopher Lee ]
  * Update the autopilot emulator code to work with the recent changes
    (moving more UI code to QML).

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 43

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 25 Sep 2013 11:05:45 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130920-0ubuntu1) saucy; urgency=low

  [ Thomas Moenicke ]
  * fix chinese.
  * cleanup SHOW/HIDDEN state .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 40

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Sep 2013 10:54:52 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130918-0ubuntu1) saucy; urgency=low

  [ Thomas Moenicke ]
  * various fixes.
  * added layout-test and generic test qml apps.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 37

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 18 Sep 2013 07:06:45 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130912-0ubuntu1) saucy; urgency=low

  [ Thomas Moenicke ]
  * language-layouts in QML .
  * ubuntu-keyboard fullscreen.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 34

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Sep 2013 12:23:00 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130829.1-0ubuntu1) saucy; urgency=low

  [ Gerry Boland ]
  * Fix crash on Mir, actually disable broken functions when using Mir
    (i.e. typo false -> true).

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 31

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 15:21:32 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130829-0ubuntu1) saucy; urgency=low

  [ Gerry Boland ]
  * Fix platform detection, corrects OSK surface management with
    platform-api. Fixes bug: 1217501. (LP: #1217501)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 29

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 02:10:20 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130827.1-0ubuntu1) saucy; urgency=low

  [ Thomas Moenicke ]
  * fixing size of magnifier to not being cut when shown in first row .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 27

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 19:11:27 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130827-0ubuntu1) saucy; urgency=low

  [ Bill Filler ]
  * adding autopilot test, and re-merge from trunk.

  [ Gerry Boland ]
  * Create UbuntuApplicationApiWrapper to consolidate the differences
    between the ubuntu-application-api on SurfaceFlinger and Mir (some
    portions of the API are deprecated, so not implemented on Mir).
    Fixes crash on Mir-only platform.

  [ Christopher Lee ]
  * adding autopilot test, and re-merge from trunk.

  [ Łukasz 'sil2100' Zemczak ]
  * As pointed out by Sebastian, the package:any stanza is not really
    valid - we already had to revert a similar change in the past.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 25

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 02:10:27 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130823-0ubuntu1) saucy; urgency=low

  [ Gerry Boland ]
  * Revert accidentally approved MR for revno 19, code needs review.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 21

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Aug 2013 10:08:24 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130822.1-0ubuntu1) saucy; urgency=low

  [ Gerry Boland ]
  * Create UbuntuApplicationApiWrapper to consolidate the differences
    between SurfaceFlinger and Mir operations. Fixes crash on Mir-only
    platform.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 19

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 Aug 2013 18:36:25 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130822-0ubuntu1) saucy; urgency=low

  [ Bill Filler ]
  * revert code committed in rev 11 as it's causing regressions with
    orientation (lp:1214575 and lp:1214578). (LP: #1214578, #1214575)
  * Install server.conf file to replace the default keyboard, until the
    config system is better handled later on.
  * Removing unused styles.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 17

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 Aug 2013 06:08:28 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130821-0ubuntu1) saucy; urgency=low

  [ Gerry Boland ]
  * Set name and role on OSK Window, helps unity8 shell identify the
    window.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 13

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Aug 2013 15:04:32 +0000

ubuntu-keyboard (0.99.trunk.phablet2+13.10.20130819-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Rename source package
  * Update packaging to be more modern
  * Automatic snapshot from revision 1

  [ Thomas Moenicke ]
  * added language directory path to coreutils. Maliit-Plugins stores
    all languages in /usr/share/maliit/plugins/languages/, but we
    changed the language xml files as well, so they should be in a
    plugin-related directory:
    /usr/share/maliit/plugins/languages/com/ubuntu/
  * added qml unittests added .bzrignore file
  * more work on buildsystem
  * sync with latest trunk phablet maliit-plugins
  * fixes in buildsystem
  * fixed language directory fixed build script
  * new style for magnifier.
  * tracking contentOrientation of app, fixes bug.

  [ root ]
  * fixed tests to build with the new plugin cleanup bazaar repo

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 11

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 19 Aug 2013 02:04:41 +0000

maliit-plugin-ubuntu (0.99.trunk.phablet1) saucy; urgency=low

  * fix reporting wrong keyboard rectangle

 -- Thomas Moenicke <thomas.moenicke@canonical.com>  Wed, 10 Jul 2013 14:10:11 +0200

maliit-plugin-ubuntu (0.1ubuntu1) saucy; urgency=low

  * new plugin: ubuntu-keyboard

 -- Thomas Moenicke <thomas.moenicke@canonical.com>  Tue, 09 Jul 2013 14:34:23 +0200
